import std.stdio;

void main()
{
    // Создать ассоциативный массив с соответствием строка/строка
    auto aa = [ "здравствуй":"salve", "мир":"mundi" ];
    // Перезаписать значения
    aa["здравствуй"] = "ciao";
    aa["мир"] = "mondo";
    // Создать несколько новых пар ключ–значение
    aa["капуста"] = "cavolo";
    aa["моцарелла"] = "mozzarella";

    writeln(aa);

    assert(aa["здравствуй"] == "ciao");
    // Ключ "здравствуй" существует, поэтому второй аргумент игнорируется
    assert(aa.get("здравствуй", "salute") == "ciao");
    // Ключ "здорово" не существует, возвратить второй аргумент
    assert(aa.get("здорово", "buongiorno") == "buongiorno");
}
